Package org.codehaus.groovy.antlr.treewalker

# Class FlatNodeListTraversal

java.lang.Object
org.codehaus.groovy.antlr.treewalker.TraversalHelper
org.codehaus.groovy.antlr.treewalker.FlatNodeListTraversal

All Implemented Interfaces:
  `AntlrASTProcessor`

    @Deprecated
    public class FlatNodeListTraversal
    extends TraversalHelper

Deprecated.
A simple iterator over an ordered (flat) List of the nodes of the AST.

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.antlr.treewalker.TraversalHelper

  `unvisitedNodes`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FlatNodeListTraversal​(Visitor visitor)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `accept​(GroovySourceAST currentNode)` | Deprecated.
  `AST` | `process​(AST t)` | Deprecated. performs some processing on the supplied AST node.

  ### Methods inherited from class org.codehaus.groovy.antlr.treewalker.TraversalHelper

  `accept_FirstChild_v_RestOfTheChildren, accept_FirstChild_v_RestOfTheChildren_v, accept_FirstChild_v_RestOfTheChildren_v_LastChild, accept_FirstChild_v_SecondChild, accept_FirstChild_v_SecondChild_v, accept_FirstChild_v_SecondChild_v_ThirdChild_v, accept_FirstChild_v_SecondChildsChildren_v, accept_FirstSecondAndThirdChild_v_v_ForthChild, accept_SecondChild_v_ThirdChild_v, accept_v_AllChildren_v, accept_v_AllChildren_v_Siblings, accept_v_FirstChild_2ndv_SecondChild_v___LastChild_v, accept_v_FirstChild_SecondChild_v_ThirdChild_v, accept_v_FirstChild_v, accept_v_FirstChild_v_RestOfTheChildren, accept_v_FirstChild_v_RestOfTheChildren_v, accept_v_FirstChild_v_SecondChild_v___LastChild_v, accept_v_FirstChildsFirstChild_v_Child2_Child3_v_Child4_v___v_LastChild, accept_v_FirstChildsFirstChild_v_RestOfTheChildren, accept_v_Siblings_v, acceptChildren, acceptSiblings, closingVisit, openingVisit, pop, push, secondVisit, setUp, skip, subsequentVisit, tearDown, visitNode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FlatNodeListTraversal

    public FlatNodeListTraversal​(Visitor visitor)
    Deprecated.

- ## Method Details

  - ### process

    public AST process​(AST t)
    Deprecated.
    Description copied from interface: `AntlrASTProcessor`
    performs some processing on the supplied AST node.
    Specified by:
      `process` in interface `AntlrASTProcessor`
    Overrides:
      `process` in class `TraversalHelper`
    Parameters:
      `t` - the AST node to process.
    Returns:
      possibly returns the AST modified or null, depends on the implementation.

  - ### accept

    protected void accept​(GroovySourceAST currentNode)
    Deprecated.
    Specified by:
      `accept` in class `TraversalHelper`